#ifndef HSpotLight_h
#define HSpotLight_h

#include "HLight.h"

class HSpotLight : public HLight {

public:
	HSpotLight(GLint light) : HLight(light) { }
	void init();

	int getType() { return SPOT_LIGHT; }

	void setDirection(float x, float y, float z);
	void setDirection(float alpha, float beta);
	void setDirection();

	GLfloat _cutoff;
	GLfloat _exponent;
	GLfloat _direction[3];
};

#endif