uniform sampler2D diffuseTex;
uniform sampler2D map;
uniform sampler3D noise3d;
uniform float time;

varying vec3 normal;
varying vec3 eye;
varying vec3 vec;
void main()
{
float heat = dot(normalize(eye),normalize(normal));
heat *= texture2D(diffuseTex, gl_TexCoord[0].st).r;

vec3 timeShift = vec3(time/7.0, time/5.0, time/1.0);

vec3 coord = (vec+timeShift) / 100.0;

float noise = texture3D(noise3d, vec3(coord)).r;
noise -= 0.5;
noise *= 0.08;
gl_FragColor = texture2D(map, vec2(heat+noise,0.0));
//gl_FragColor = vec4(vec3(noise),1.0);
}