uniform sampler2D shadowTex;
varying vec4 lightSpacePosition;

void main()
{
	vec3 projectedLSP = lightSpacePosition.xyz / lightSpacePosition.w;
	
	float zNearest = texture2D(shadowTex, projectedLSP.xy).r;
	
	if (zNearest >= projectedLSP.z) {
		gl_FragColor = gl_Color;
	}
	else {
		gl_FragColor = gl_Color * 0.8;
	}
}
